Package net.shibboleth.idp.cli

# Class DataSealerArguments

java.lang.Object
net.shibboleth.shared.cli.AbstractCommandLineArguments
net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLineArguments
net.shibboleth.idp.cli.DataSealerArguments

All Implemented Interfaces:
  `CommandLineArguments`

public class DataSealerArguments extends AbstractIdPHomeAwareCommandLineArguments
Arguments for DataSealer CLI.

Since:
  4.1.0

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`DataSealerArguments.OperationType`
Operation enum.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`dataSealerName`
Name of a specific `DataSealer`, if one has been requested.
`private org.slf4j.Logger`
`log`
The Log.
`private DataSealerArguments.OperationType`
`operation`
Requested operation.

## Constructor Summary

Constructors
Constructor
Description
`DataSealerArguments()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDataSealerName()`
Get name of `DataSealer` bean to access.
`org.slf4j.Logger`
`getLog()`
`DataSealerArguments.OperationType`
`getOperation()`
Get operation to perform.
`void`
`printHelp(PrintStream out)`
`void`
`validate()`

### Methods inherited from class net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLineArguments

`getHttpClientName, getHttpClientSecurityParameterstName, getIdPHome, setHttpClientName`

### Methods inherited from class net.shibboleth.shared.cli.AbstractCommandLineArguments

`getLanguageRanges, getLoggingConfiguration, getOtherArgs, getPropertyFiles, isANSI, isHelp, isQuietOutput, isVerboseOutput, isVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dataSealerName

@Nullable private String dataSealerName
Name of a specific `DataSealer`, if one has been requested.

### log

@Nullable private org.slf4j.Logger log
The Log.

### operation

@Nullable private DataSealerArguments.OperationType operation
Requested operation.

## Constructor Details

### DataSealerArguments

public DataSealerArguments()

## Method Details

### getLog

@Nonnull public org.slf4j.Logger getLog()

Specified by:
  `getLog` in class `AbstractCommandLineArguments`

### getDataSealerName

@Nullable public String getDataSealerName()
Get name of `DataSealer` bean to access.

Returns:
  bean name

### getOperation

@Nullable public DataSealerArguments.OperationType getOperation()
Get operation to perform.

Returns:
  operation

### validate

public void validate() throws IllegalArgumentException

Specified by:
  `validate` in interface `CommandLineArguments`
Overrides:
  `validate` in class `AbstractCommandLineArguments`
Throws:
  `IllegalArgumentException`

### printHelp

public void printHelp(@Nonnull PrintStream out)

Specified by:
  `printHelp` in interface `CommandLineArguments`
Overrides:
  `printHelp` in class `AbstractIdPHomeAwareCommandLineArguments`